Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.eviction
Class AopLRUPolicy

    java.lang.Object
      org.jboss.cache.eviction.BaseEvictionPolicy
          org.jboss.cache.eviction.LRUPolicy
              org.jboss.cache.aop.eviction.AopLRUPolicy

All Implemented Interfaces:
  AopEvictionPolicy, EvictionPolicy

    public class AopLRUPolicy

extends LRUPolicy
implements AopEvictionPolicy

Provider to provide eviction policy. This one is based on LRU algorithm that a user can specify either maximum number of nodes or the idle time of a node to be evicted.

Author:
  Ben Wang 02-2004

Field Summary

Fields inherited from class org.jboss.cache.eviction.LRUPolicy
`algorithm, regionManager_`

Fields inherited from class org.jboss.cache.eviction.BaseEvictionPolicy
`cache_`

Constructor Summary
`AopLRUPolicy()`

Method Summary
`boolean` | `canIgnoreEvent(Fqn fqn)` Override to provide PojoCache specific behavior.
`EvictionAlgorithm` | `getEvictionAlgorithm()` Get the associated EvictionAlgorithm used by the EvictionPolicy.

Methods inherited from class org.jboss.cache.eviction.LRUPolicy
`configure, getEvictionConfigurationClass`

Methods inherited from class org.jboss.cache.eviction.BaseEvictionPolicy
`evict, getCacheData, getChildrenNames, hasChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.cache.eviction.EvictionPolicy
`evict, getCacheData, getChildrenNames, hasChild`

Constructor Detail

### AopLRUPolicy

    public AopLRUPolicy()

Method Detail

### getEvictionAlgorithm

    public EvictionAlgorithm getEvictionAlgorithm()

  Description copied from interface: `EvictionPolicy`
  Get the associated EvictionAlgorithm used by the EvictionPolicy.

  This relationship should be 1-1.

  Specified by:
    `getEvictionAlgorithm` in interface `EvictionPolicy`
  Overrides:
    `getEvictionAlgorithm` in class `LRUPolicy`
  Returns:
    An EvictionAlgorithm implementation.

### canIgnoreEvent

    public boolean canIgnoreEvent(Fqn fqn)

  Override to provide PojoCache specific behavior.

  Specified by:
    `canIgnoreEvent` in interface `EvictionPolicy`
  Overrides:
    `canIgnoreEvent` in class `BaseEvictionPolicy`
  Parameters:
    `fqn` -
  Returns:
    true to ignore events for this Fqn. false to process events normally.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.